# Interface ITreePathLabelProvider

All Superinterfaces:
  `IBaseLabelProvider`

All Known Implementing Classes:
  `DecoratingLabelProvider`

public interface ITreePathLabelProvider extends IBaseLabelProvider
An extension to `ILabelProvider` that is given the path of the element being decorated, when it is available.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`void`
`updateLabel(ViewerLabel label, TreePath elementPath)`
Updates the label for the given element.

### Methods inherited from interface IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Method Details

### updateLabel

void updateLabel(ViewerLabel label, TreePath elementPath)
Updates the label for the given element.

Parameters:
  `label` - the label to update
  `elementPath` - the path of the element being decorated